# FlashPlayer

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [FlashPlayer](/api/v3.0/wisej.web/media/flashplayer.md)

Represents a [FlashPlayer](/api/v3.0/wisej.web/media/flashplayer.md) control that can display flash applications.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FlashPlayer : Control, IWisejHandler
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FlashPlayer
    Inherits Control
    Implements IWisejHandler
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)FlashPlayer()

Initializes a new instance of the [FlashPlayer](/api/v3.0/wisej.web/media/flashplayer.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)BorderStyle

[BorderStyle](/api/v3.0/wisej.web/enumerations/wisej.web.borderstyle.md): Indicates the border style for the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)LoadTimeout

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Gets or sets the load timeout in milliseconds.

### ![](/files/uCY6T77rh488FWHzpJ6P)Loop

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Specifies whether a timeline-based SWF file repeats indefinitely or stops when it reaches the last frame.

### ![](/files/uCY6T77rh488FWHzpJ6P)Quality

[FlashPlayerQuality](/api/v3.0/wisej.web/media/flashplayer/wisej.web.flashplayerquality.md): Specifies the display list Stage rendering quality.

### ![](/files/uCY6T77rh488FWHzpJ6P)ScaleMode

[FlashPlayerScale](/api/v3.0/wisej.web/media/flashplayer/wisej.web.flashplayerscale.md): Controls the ability to perform outbound URL access from within the SWF file.

### ![](/files/uCY6T77rh488FWHzpJ6P)ScriptAccess

[FlashPlayerScriptAccess](/api/v3.0/wisej.web/media/flashplayer/wisej.web.flashplayerscriptaccess.md): Controls the ability to perform outbound URL access from within the SWF file.

### ![](/files/uCY6T77rh488FWHzpJ6P)ShowMenu

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Specifies if movie playback controls are available in the Flash Player context menu.

### ![](/files/uCY6T77rh488FWHzpJ6P)SwfSource

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the pdf file name to display in the [FlashPlayer](/api/v3.0/wisej.web/media/flashplayer.md) control.

### ![](/files/uCY6T77rh488FWHzpJ6P)Variables

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets a JSON definition of the variables to pass the Flash player in the FlashVars parameter.

### ![](/files/uCY6T77rh488FWHzpJ6P)WindowMode

[FlashPlayerWindowMode](/api/v3.0/wisej.web/media/flashplayer/wisej.web.flashplayerwindowmode.md): Returns or sets the Window Mode property of the SWF file for transparency, layering, positioning, and rendering in the browser.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)SwfSourceChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the SwfSource property has changed.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejHandler](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejhandler.md)           | Represents a Wisej component that is capable of handling postback requests from the client.                                |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/media/flashplayer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
